diff -Nur -x '*.orig' -x '*~' netbook-launcher-1.6.22netbook0unr4/src/launcher-icon.c netbook-launcher-1.6.22netbook0unr4.new/src/launcher-icon.c
--- netbook-launcher-1.6.22netbook0unr4/src/launcher-icon.c	2009-04-07 19:12:57.000000000 -0400
+++ netbook-launcher-1.6.22netbook0unr4.new/src/launcher-icon.c	2009-04-28 15:03:50.000000000 -0400
@@ -436,6 +436,7 @@
                           launcher_menu_application_get_name (application));
 
   clutter_label_set_line_wrap (CLUTTER_LABEL (label), TRUE);
+  clutter_label_set_line_wrap_mode (CLUTTER_LABEL (label), PANGO_WRAP_WORD_CHAR);
   clutter_label_set_alignment (CLUTTER_LABEL (label), PANGO_ALIGN_CENTER);
   //clutter_label_set_justify (CLUTTER_LABEL (label), TRUE);
   if (CAW (label) > width)
